/**
 * Provides pluggable look-and-feel for SwingX components together with a
 * mechanism to support custom component look-and-feels.
 * <p>
 * JXComponents and their L&F implementations: <table border="1">
 * <tr>
 * <th>Component<th>
 * <th>Basic</th>
 * <th>Metal</th>
 * <th>Linux (GTK)</th>
 * <th>Motif</th>
 * <th>Mac OSX</th>
 * <th>Nimbus</th>
 * <th>Windows XP</th>
 * <th>Windows 2000</th>
 * </tr>
 * <tr>
 * <td>JXDatePicker<td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>X</td>
 * </tr>
 * <tr>
 * <td>JXErrorPane<td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * </tr>
 * <tr>
 * <td>JXHeader<td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * </tr>
 * <tr>
 * <td>JXHyperlink<td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Windows XP</td>
 * <td>Windows XP</td>
 * <td>Windows XP</td>
 * <td>Windows XP</td>
 * <td>X</td>
 * <td>Windows XP</td>
 * </tr>
 * <tr>
 * <td>JXLoginPane<td>
 * <td>X</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Windows XP</td>
 * </tr>
 * <tr>
 * <td>JXMonthView<td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * </tr>
 * <tr>
 * <td>JXMultiThumbSlider<td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * </tr>
 * <tr>
 * <td>JXSatusBar<td>
 * <td>X</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>X</td>
 * </tr>
 * <tr>
 * <td>JXTaskPane<td>
 * <td>X</td>
 * <td>X</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>X</td>
 * </tr>
 * <tr>
 * <td>JXTaskPaneContainer<td>
 * <td>X</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>X</td>
 * </tr>
 * <tr>
 * <td>JXTipOfTheDay<td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Windows XP</td>
 * </tr>
 * <tr>
 * <td>JXTitledPanel<td>
 * <td>X</td>
 * <td>X</td>
 * <td>X</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>Basic</td>
 * <td>X</td>
 * <td>Windows XP</td>
 * </tr>
 * </table>
 */
package org.jdesktop.swingx.plaf;

